# SalesChannelCargoCompany

## Retrieve Cargo Company

> Retrieves a specific cargo company associated with sales channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"SalesChannelCargoCompany":{"$ref":"#/components/schemas/CargoCompany"},"CargoCompany":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"Unique identifier of the cargo company."},"name":{"type":"string","description":"Name of the cargo company.","maxLength":64},"erp_code":{"type":"string","description":"Unique ERP code associated with the cargo company.","maxLength":64},"shipping_company":{"$ref":"#/components/schemas/ShippingCompany"}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}},"ShippingCompany":{"type":"string","description":"Shipping company options","enum":["aras","ups","asil","yurtici","mng","hbexpress","aramex","other","ismail","gls","hoopkapida","fancourier","tmmexpress","ptt","horoz","novaposhta","droplight","surat","ups_intl","b2c_direct","jetizz","tyexpress","ay_cargo","cainiao","acs","packupp","k_gelsin","birgunde","kargo_ist","giz","mylerz","mylerzsdd","r2s","boomex","chrono","scotty","netkargo","murat_lgc","fast_cargo","dpd","in_post","k_sende","rupost","cdek","loomis","carrtell","speeta","bringo","dhlexpress","bovo","gelal","arvato","bpost_athome","bpost_24_7","cathedis","dincer","sameday","gkn","svuum","hjetxl","aramex_express","tnt_cargo","ceva_cargo","bringo_express","sendeo","cargus","pinkpost","speedy","deliverigo","jetizz_v7","evdemo_lojistik","extension","apiship","octovan_express","clickpost","iMile","jetlogi","bolt","pony_express","boxaty","monist","city_express","fero_ai","carriyo","pakettaxi","falcon_flex","porter_express","sky_express","pts_express","bpost_pickup"]}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/cargos/{id}/":{"get":{"summary":"Retrieve Cargo Company","description":"Retrieves a specific cargo company associated with sales channel.","tags":["SalesChannelCargoCompany"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Cargo company details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalesChannelCargoCompany"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List Cargo Companies

> Retrieves a list of cargo companies associated with sales channel.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"pk__in":{"name":"pk__in","in":"query","description":"Filter by multiple primary key values (comma-separated list of integers)","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false},"erp_code__exact":{"name":"erp_code__exact","in":"query","description":"Filter by exact ERP code.","required":false,"schema":{"type":"string"}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"shipping_company":{"name":"shipping_company","in":"query","description":"Filter by shipping company.","schema":{"$ref":"#/components/schemas/ShippingCompany"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}}},"schemas":{"ShippingCompany":{"type":"string","description":"Shipping company options","enum":["aras","ups","asil","yurtici","mng","hbexpress","aramex","other","ismail","gls","hoopkapida","fancourier","tmmexpress","ptt","horoz","novaposhta","droplight","surat","ups_intl","b2c_direct","jetizz","tyexpress","ay_cargo","cainiao","acs","packupp","k_gelsin","birgunde","kargo_ist","giz","mylerz","mylerzsdd","r2s","boomex","chrono","scotty","netkargo","murat_lgc","fast_cargo","dpd","in_post","k_sende","rupost","cdek","loomis","carrtell","speeta","bringo","dhlexpress","bovo","gelal","arvato","bpost_athome","bpost_24_7","cathedis","dincer","sameday","gkn","svuum","hjetxl","aramex_express","tnt_cargo","ceva_cargo","bringo_express","sendeo","cargus","pinkpost","speedy","deliverigo","jetizz_v7","evdemo_lojistik","extension","apiship","octovan_express","clickpost","iMile","jetlogi","bolt","pony_express","boxaty","monist","city_express","fero_ai","carriyo","pakettaxi","falcon_flex","porter_express","sky_express","pts_express","bpost_pickup"]},"SalesChannelCargoCompany":{"$ref":"#/components/schemas/CargoCompany"},"CargoCompany":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","description":"Unique identifier of the cargo company."},"name":{"type":"string","description":"Name of the cargo company.","maxLength":64},"erp_code":{"type":"string","description":"Unique ERP code associated with the cargo company.","maxLength":64},"shipping_company":{"$ref":"#/components/schemas/ShippingCompany"}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/cargos/":{"get":{"summary":"List Cargo Companies","description":"Retrieves a list of cargo companies associated with sales channel.","tags":["SalesChannelCargoCompany"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/pk__in"},{"$ref":"#/components/parameters/erp_code__exact"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/shipping_company"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"}],"responses":{"200":{"description":"A list of cargo companies.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of items"},"next":{"type":"string","nullable":true,"description":"URL for next page"},"previous":{"type":"string","nullable":true,"description":"URL for previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/SalesChannelCargoCompany"}}}}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelcargocompany.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
